JOURNAL_CHECK_USED_F(9)

NAME
journal_check_used_features - Check if features specified are used.

SYNOPSIS

int journal_check_used_features(journal_t * journal, unsigned long compat, unsigned long ro, unsigned long incompat);

ARGUMENTS

journal
    Journal to check.

compat
    bitmask of compatible features

ro
    bitmask of features that force read-only mount

incompat
    bitmask of incompatible features

DESCRIPTION

Check whether the journal uses all of a given set of features. Return true (non-zero) if it does.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT